# Update Custom-Code external user source

Update an external user source.

A valid environment token is required to call this endpoint.

Endpoint: PUT /resources/user-sources/v1/external/custom-code/{id}
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `id` (string, required)

## Request fields (application/json):

  - `name` (string)
    The user source name

  - `configuration` (object)
    User source configuration

  - `configuration.syncOnLogin` (boolean, required)
    Whether to sync user profile attributes on each login

  - `configuration.isMigrated` (boolean, required)
    Whether to migrate the users

  - `configuration.codePayload` (string, required)

  - `configuration.getUserCodePayload` (string)

  - `configuration.tenantConfig` (any, required)

  - `configuration.tenantConfig.tenantResolverType` (string, required)
    Enum: "new"

  - `configuration.tenantConfig.tenantResolverType` (string, required)
    Enum: "from-source"

  - `index` (number)
    The user source index

  - `description` (string)
    The user source description

